STEGOSUITE-EMBED(1)

NAME
stegosuite-embed - Embeds data into image

SYNOPSIS

stegosuite embed [-d] (-k=<key> | --keyfile=<keyfile>) [-m=<message>] [-o=<outputPath>] [-f=<file>[,<file>...]]... <image>

DESCRIPTION

This command embeds data into an image file using the provided key as seed for randomization and encryption. It is possible to embed a text message and multiple files of any type, as long as the image has enough capacity to embed data. The capacity depends on the size of the image and its type. It can be checked with stegosuite capacity.

OPTIONS

-k, --key=<key>
    The secret key used for encryption and hiding.

--keyfile=<keyfile>
    Path to a file which contains the secret key. Reads its first line.

-m, --message=<message>
    The text message to be embedded into the image.

-f, --files=<file>[,<file>...]
    Paths to the files to be embedded into the image.

-o, --output=<outputPath>
    Specifies path to the generated image file.

-d, --debug
    Shows debug information.

ARGUMENTS

<image>
    Path to the image file to process.

EXAMPLE

stegosuite embed -k my_secret_key -m "My_secret_message" /path/to/image_file.png

EXIT CODES:

0
    Successful program execution

1
    Internal software error: An exception occurred when invoking the business logic of this command.

2
    Usage error: User input for the command was incorrect, e.g., the wrong number of arguments.